#include <iostream>

using namespace std;
int main()
{
    long long n, m, k, sqm, sqk, cnt = 0;
    cin >> n >> m >> k;
    cnt = (n / k) * (m / k);
    if(n % k)
        cnt += m/k;
    if(m % k)
        cnt += n / k;
    if(m % k && n % k)
     cnt++;
    cout << cnt;
    return 0;
}
